<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: config.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: config.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * This module contains contains the default variables used in the project.
 * @module config
 */

const path = require("path");

/**
 * This contains the path to the matches.csv file
 *
 * @type {string}
 */
const matchesCSVPath = path.join(__dirname, "../", "data/matches.csv");

/**
 * This contains the path to the deliveries.csv file
 *
 * @type {string}
 */
const deliveriesCSVPath = path.join(__dirname, "../", "data/deliveries.csv");

/**
 * This contains the path to the output directory
 *
 * @type {string}
 */
const outputPath = path.join(__dirname, "../", "public/output");

/**
 * This contains the year in which to find the economy rate of the bowler
 *
 * @type {number}
 */
const economicalBowlerYear = 2015;

/**
 * This contains the year in which to find extra runs conceded per team
 *
 * @type {number}
 */
const extraRunsYear = 2016;

/**
 * This contains the name of the player (batsman), whose strike rate to calculate.
 *
 * @type {string}
 */
const batsman = "S Dhawan";

/**
 * This contains the name of the player who is dismissed by another player.
 *
 * @type {string}
 */
const dismissedPlayer = "MS Dhoni";

module.exports = {
  matchesCSVPath,
  deliveriesCSVPath,
  extraRunsYear,
  economicalBowlerYear,
  outputPath,
  batsman,
  dismissedPlayer,
};
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">IPL Project</a></h2><h3>Modules</h3><ul><li><a href="module-bestSuperoverEconomy.html">bestSuperoverEconomy</a></li><li><a href="module-calcEconomy.html">calcEconomy</a></li><li><a href="module-config.html">config</a></li><li><a href="module-economicalBowlers.html">economicalBowlers</a></li><li><a href="module-extraRunsPerTeam.html">extraRunsPerTeam</a></li><li><a href="module-matchesInGivenYear.html">matchesInGivenYear</a></li><li><a href="module-matchesPerYear.html">matchesPerYear</a></li><li><a href="module-matchesWonPerTeam.html">matchesWonPerTeam</a></li><li><a href="module-matchesWonWithToss.html">matchesWonWithToss</a></li><li><a href="module-playerDismissed.html">playerDismissed</a></li><li><a href="module-playerOfTheMatch.html">playerOfTheMatch</a></li><li><a href="module-saveOutput.html">saveOutput</a></li><li><a href="module-strikeRate.html">strikeRate</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed May 26 2021 15:19:05 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
